:root,[data-bs-theme=light] {

    --ar-primary: #0077C7;

    --ar-link-color: #0077C7;

    --ar-link-hover-color: #0077C7;

    --ar-primary-rgb: 0,119,199;

    --ar-info-rgb: 135,47,50;

}

.text-info {
    --ar-text-opacity: 1;
    color: rgba(var(--ar-info-rgb), var(--ar-text-opacity)) !important;
}

.page-loading {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-transition: all .4s .2s ease-in-out;
    transition: all .4s .2s ease-in-out;
    background-color: #fff;
    opacity: 0;
    visibility: hidden;
    z-index: 9999;
}

[data-bs-theme="dark"] .page-loading {
    background-color: #121519;
}

.page-loading.active {
    opacity: 1;
    visibility: visible;
}

.page-loading-inner {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    text-align: center;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transition: opacity .2s ease-in-out;
    transition: opacity .2s ease-in-out;
    opacity: 0;
}

.page-loading.active>.page-loading-inner {
    opacity: 1;
}

.page-loading-inner>span {
    display: block;
    font-family: "Inter", sans-serif;
    font-size: 1rem;
    font-weight: normal;
    color: #6f788b;
}

[data-bs-theme="dark"] .page-loading-inner>span {
    color: #fff;
    opacity: .6;
}

.page-spinner {
    display: inline-block;
    width: 2.75rem;
    height: 2.75rem;
    margin-bottom: .75rem;
    vertical-align: text-bottom;
    background-color: #d7dde2;
    border-radius: 50%;
    opacity: 0;
    -webkit-animation: spinner .75s linear infinite;
    animation: spinner .75s linear infinite;
}

[data-bs-theme="dark"] .page-spinner {
    background-color: rgba(255, 255, 255, .25);
}

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    50% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    50% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}
.lang-part {
    float: right;
    display: flex;
    list-style-type: none;
    right: 0px;
    position: relative;
    order: 3;
    top: 8px;
}
.lang-part li {
    margin-right: 10px;
}
.lang-part li a img{
    border-radius: 50%;
    height: 30px;
    width: 30px;
}
.nav-item .nav-link {
    font-weight: bold;
}
.sidebar-program-part {
    padding: 0 30px;
}
.program-image-part {
    justify-content: center;
    display: flex;
    align-items: center;
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 10px;
    margin-left: 20px;
    position: relative;
}
@media screen and (max-width: 992px) {
    .release-part {
        -webkit-box-shadow: 0px 0px 20px 0px #dddddd80;
        box-shadow: 0px 0px 20px 0px #dddddd80;
        border-radius: 10px;
        padding: 30px;
    }
    .d-flex-mobile-dn {
        display: block !important;
    }

}
.release-part {
    border-radius: 20px;
    background: #fff;
}
.pagination {
    display: flex;
    gap: 6px;
    padding: 0;
    margin-top: 20px;
}

.pagination .page-item {
    list-style: none;
}

.pagination .page-item a,
.pagination .page-item span {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 38px;
    height: 38px;
    padding: 0 12px;
    border-radius: 10px;
    text-decoration: none;
    font-weight: 500;
    color: #555;
    background: #f5f7fa;
    transition: all 0.2s ease;
}

/* hover */
.pagination .page-item a:hover {
    background: #e2e8f0;
    color: #111;
}

/* active */
.pagination .page-item.active span {
    background: linear-gradient(135deg, #0077C7, #4f46e5);
    color: #fff;
    box-shadow: 0 4px 10px rgba(99, 102, 241, 0.3);
}

/* disabled */
.pagination .page-item.disabled span {
    background: #f1f1f1;
    color: #bbb;
    cursor: not-allowed;
}

/* стрелки */
.pagination .page-item a i,
.pagination .page-item span i {
    font-size: 14px;
}

/* плавный клик */
.pagination .page-item a:active {
    transform: scale(0.95);
}
.card.contact-form {
    background: linear-gradient(135deg, #0077C7, #00623F) !important;
}
.count-cats {
    font-size: 16px !important;
    color: #fff !important;
}
.cats-bborder {
    border-bottom: 1px solid #eee;
    padding-bottom: 5px;
}

.btn-outline-primary {
    --ar-btn-color: #0077C7;
    --ar-btn-border-color: #0077C7;
    --ar-btn-hover-color: #fff;
    --ar-btn-hover-bg: #0077C7;
    --ar-btn-hover-border-color: #0077C7;
    --ar-btn-focus-shadow-rgb: 68, 140, 116;
    --ar-btn-active-color: #fff;
    --ar-btn-active-bg: #0077C7;
    --ar-btn-active-border-color: #0077C7;
    --ar-btn-active-shadow: unset;
    --ar-btn-disabled-color: #0077C7;
    --ar-btn-disabled-bg: transparent;
    --ar-btn-disabled-border-color: #0077C7;
    --ar-gradient: none;
}

.btn-default {
    margin-left: 20px;
    color: #fff !important;
    border: 2px solid #0077C7 !important;
}
.btn-default a, .btn-default span{
    color:  #0077C7 !important;
}

.active-release-part {
    border: 2px solid #eee;
    background: linear-gradient(135deg, #0077C7, #4f46e5) !important;
}
.active-release-part a, .active-release-part span{
    color: #fff !important;
}

.breadcrumb-item {
    display: flex;
    align-items: center;
    font-weight: bold;
}
.btn-default {
    padding: 0 !important;
}
.btn-default a {
    padding: 10px 10px !important;
}
.btn-default span {
    margin-right: 10px;
}
.publish-at-date {
    color: #999;
    font-size: 14px;
}
.update-page-part {
    justify-content: center;
    align-items: center;
    display: flex;
}
.mb-0 {
    margin-bottom: 0px !important;
}
.programs-page-logo-part {
    width: 100px;
}
.programs-page-image-part {
    width: 100%;
    border-radius: 15px;
    object-fit: cover;
}
.programs-part {
    margin-bottom: 3.5rem !important;
    border-radius: 20px;
    padding: 40px !important;
    background: #fff;
}
@media screen and (min-width: 992px) {
    .programs-page-image-part {
        width: 100%;
        height: 390px;
        border-radius: 15px;
        object-fit: cover;
    }
}
.max-content {
    width: max-content !important;
}
.text-body-secondary p {
    color: var(--ar-heading-color);
}
.accordion-button.update-accordion::after {
     display: none !important;
}
.download-icon {
    width: 20px;
    margin-left: 30px;
    filter: invert(1);
    position: relative;
    bottom: 2px;
}
.download-button {
    font-size: 18px;
}
.excerpt-text {
    display: -webkit-box;
    -webkit-line-clamp: 3; /* 3 строки */
    -webkit-box-orient: vertical;
    overflow: hidden;
    transition: all 0.3s ease;
}

.excerpt-text.expanded {
    -webkit-line-clamp: unset;
}
.read-more-btn {
    margin-top: 10px;
    float: right;
}
.view-video-btn {
    margin-top: 10px;
    background: linear-gradient(135deg, #0077C7, #4f46e5) !important;
    color: #fff;

}
.view-video, .excerpt-text {
    cursor: default;
}
#videoModal .modal-content {
    background: radial-gradient(black, transparent);
    border: none;
}
.card {
    --ar-card-spacer-y: 1.375rem;
    --ar-card-spacer-x: 1.375rem;
}
h2.h4 {
    font-size: 16px !important;
}
.logo-part-header {
    width: 100px;
}
.py-5 {
    padding-top: 4rem !important;
    padding-bottom: 3rem !important;
}

.navbar {
    padding: 0px !important;
    -webkit-box-shadow: 0 20px 100px 0 #4d4d7733;
    box-shadow: 0 20px 100px 0 #4d4d7733;
}



@media screen and (max-width: 454px) {
    .lang-part{
        display: none !important;
    }
    .menupart-mobile-lang .lang-part{
        display: flex !important;
        justify-content: center;
        width: 100%;
    }
}
.btn-primary {
    --ar-btn-bg: #0077C7;
}
@media (min-width: 992px) {
    .navbar-expand-lg .navbar-brand {
        padding: 0;
    }
}
.bg-white-custom .card{
    background-color: #fff !important;
}
.card-hover-primary:hover {
    --ar-heading-color: #fff;
    --ar-body-color: rgba(255, 255, 255, .7);
    background-color: var(--ar-primary) !important;
    border-color: var(--ar-primary) !important;
}
.download-part-top {
    float: right;
    display: inline-block;
}
.br-30 {
    border-radius: 30px;
}


.modal-header,
.modal-footer {
    border: none;
}

.modal-content {
    border-radius: 16px;
}

.modal_title_text {
    color: #474747;
    align-items: center;
    /* text-align: center; */
    letter-spacing: 1px;
    font-style: normal;
    font-weight: bold;
    font-size: 24px;
    line-height: 32px;
    margin-bottom: 32px;
}

.modal_support_note {
    color: #757575;
    align-items: center;
    text-align: center;
    letter-spacing: 1px;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    line-height: 24px;
}

.custom_input_group_text {
    padding-left: 17px;
    padding-right: 27px;
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    line-height: 24px;
    background: #e6edf4;
    border-bottom-left-radius: 16px;
    border-top-left-radius: 16px;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    border: 1px solid #9fa3af;
    border-right: none;
    height: 64px;
}

.arm_flag {
    margin-right: 17px;
    margin-top: 7.5px;
}

.custom_form_control {
    background: #ffffff;
    border: 1px solid #9fa3af;
    box-sizing: border-box;
    border-radius: 16px;
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    line-height: 24px;
    height: 64px;
}

.custom_form_control_textarea {
    padding-top: 10px;
    background: #ffffff;
    border: 1px solid #9fa3af;
    box-sizing: border-box;
    border-radius: 16px;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    line-height: 24px;
    height: 128px;
}

.btn-custom {
    color: #474747;
    border: 1px solid #f46036;
    box-sizing: border-box;
    border-radius: 16px;
    width: 172px;
    height: 50px;
    text-decoration: none;
    padding: 0;
    font-style: normal;
    font-weight: 450;
    font-size: 17px;
}

.custom_modal_footer {
    justify-content: center;
    padding-bottom: 30px;
}

.err_message {
    border: 1px solid red;
    border-radius: 18px;
}

@media (min-width: 992px) {
    .modal-lg {
        max-width: 600px;
    }
}
/* .phone-mask-input.form-control,
.phone-mask-input {
    position: relative;
    text-indent: 70px;
} */

.device_form .phone-mask-input-before {
    /*left: 1px;*/
}

.phone-mask-input-before .placeholderWrapper {
    display: flex;
    justify-content: space-evenly;
    width: 100%;
    margin: auto;
    align-items: center;
}

.phone-mask-input-before .countrySelector {
    border: 1px solid #e6edf4;
    box-shadow: 0 0 10px 0px #e6edf4;
    position: absolute;
    top: 100%;
    background: #fff;
    justify-content: center;
    display: flex;
    flex-direction: column;
    left: 0;
    display: none;
    transition: all 0.4s;
}

.phone-mask-input-before .countrySelector div {
    margin: 0px 0px;
    padding: 10px 15px;
    white-space: nowrap;
    transition: all 0.4s;
}

.phone-mask-input-before .countrySelector div:hover {
    background: #e6edf4;
}

.phone-mask-input-before .placeholderWrapper img {
    height: 21px;
}

.phone-mask-input-before.active,
.phone-mask-input-before:hover {
    border-bottom-left-radius: 0;
}

.phone-mask-input-before.active .countrySelector,
.phone-mask-input-before:hover .countrySelector {
    display: flex;
}

.callback_row .phone-mask-input-before {
    cursor: pointer;
    position: absolute;
    flex-direction: column;
    height: 62px;
    left: 13px;
    z-index: 5;
    display: flex;
    align-items: center;
    background-color: #e6edf4;
    border-radius: 16px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 2px;
    transition: all 0.5s;
    border: 1px solid #9fa3af54;
    border-right-style: none;
    width: 90px;
    top: 1px;
}

.modal .phone-mask-input-before {
    cursor: pointer;
    position: absolute;
    flex-direction: column;
    height: 62px;
    left: 1px;
    z-index: 5;
    display: flex;
    align-items: center;
    background-color: #e6edf4;
    border-radius: 16px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 2px;
    transition: all 0.5s;
    border: 1px solid #9fa3af54;
    border-right-style: none;
    width: 90px;
    top: 1px;
}

.phone-mask-input-before {
    cursor: pointer;
    position: absolute;
    flex-direction: column;
    height: 62.5px;
    left: 13px;
    z-index: 5;
    display: flex;
    align-items: center;
    background-color: #e6edf4;
    border-radius: 16px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 2px;
    transition: all 0.5s;
    border: 1px solid #9fa3af54;
    border-right-style: none;
    width: 90px;
}


/*PHONE MASK INPUT*/



.flexible_items {
    width: 14.4%;
}


.btn-primary_tariff {
    color: #474747;
    border: 1px solid #f46036;
    box-sizing: border-box;
    border-radius: 16px;
    text-decoration: none;
    padding: 13px 55px;
    font-size: 18px;
    line-height: 18px;
    font-weight: 500;
    background-color: transparent;
    white-space: nowrap;
    margin-top: 30px;
}

@media only screen and (max-width: 768px) {
    .display-1.text-center {
        font-size: 28px;
    }

    .phone-mask-input-before {
        height: 64px;
    }

    .phone-mask-input-before .placeholderWrapper img {
        height: 18px;
    }

    .phone-mask-input.form-control,
    .phone-mask-input {
        text-indent: 61px;
    }

    .phone-mask-input-before {
        width: 75px;
        height: 63px;
    }
}

@media only screen and (max-width: 375px) {
    .phone-mask-input-before .placeholderWrapper img {
        height: 18px;
    }

    .phone-mask-input.form-control,
    .phone-mask-input {
        text-indent: 47px;
    }

    .phone-mask-input-before {
        width: 65px;
        height: 64px;
    }

    input.form-control {
        height: 40px;
    }
}

input.form-control {
    border: 1px solid #9fa3af;
    box-sizing: border-box;
    border-radius: 16px;
    height: 64px;
    padding-left: 20px;
    padding-right: 20px;
    font-size: 24px;
}

.hide {
    display: none;
}


.lang-dropdown {
    position: relative;
    display: inline-block;
    font-family: sans-serif;
}

/* Кнопка активного языка */
.lang-dropdown button {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.5rem 1rem;
    border: 1px solid #ccc;
    background-color: #fff;
    cursor: pointer;
    border-radius: 5px;
}

/* Стрелка */
.lang-dropdown button .arrow {
    margin-left: auto;
    transition: transform 0.3s;
}

/* Меню */
.lang-dropdown ul {
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-top: 0.25rem;
    padding: 0;
    list-style: none;
    min-width: 120px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    display: none; /* скрыто по умолчанию */
    z-index: 1000;
}

/* Появление меню */
.lang-dropdown ul.show {
    display: block;
}

/* Элементы списка */
.lang-dropdown ul li a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.5rem 1rem;
    text-decoration: none;
    color: #333;
}

/* Ховер и активный */
.lang-dropdown ul li a:hover,
.lang-dropdown ul li a.active {
    background-color: #f0f0f0;
    font-weight: bold;
}
@media screen and (min-width: 455px) {
    .menupart-mobile-lang{
        display: none !important;
    }
}
.lang-dropdown a img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
}
.pb-0 {
    padding-bottom: 0 !important;
}
@media (min-width: 992px) {
    .modal-lg.video-part-modal {
        max-width: 800px !important;
    }
    .show-mobile {
        display: none !important;
    }
    .show-pc {
        display: inline-block !important;
    }
    .logo-part-header {
        width: 170px;
    }
    nav .nav-link {
        color: #fff;
    }
}
.pl-0 {
    padding-left: 0px !important;
}

.order-3 {
    order: 3;
}

@media (max-width: 991px) {
    .navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
        color: #0077C7 !important;
        border-bottom: 1px solid #0077C7 !important;
    }
    .show-pc {
        display: none !important;
    }
    .show-mobile {
        display: inline-block !important;
    }
}
@media (min-width: 1200px) {
    h4, .h4 {
        font-size: 1.2rem;
    }
}
.switch-light .btn {
    border-color: #fff !important;
    color: #fff !important;
}
.btn-check:checked+.btn, :not(.btn-check)+.btn:active, .btn:first-child:active, .btn.active, .btn.show {
    background: linear-gradient(135deg, #0077C7, #4f46e5) !important;
}
.card-body .text-warning {
    --ar-text-opacity: 1;
    color: #0077C7 !important;

}
.navbar {
 background: #0077C7 !important;
}
.navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
    color: #fff;
    border-bottom: 1px solid #fff;
}

.nav-link:hover, .nav-link:focus {
    color: #eee !important;
    border-bottom: 1px solid #fff;
}
.swiper-slide.feature-part {
    background: #fff !important;
    padding: 20px;
    border-radius: 20px;
}
.feature-part {
    background: transparent !important;
}
.feature-part .bg-secondary {
    background:  #fff !important;
}
.feature-part i.ai-video {
    color: #F6F9FC !important;
}
.feature-part  h1 {
    margin-bottom: 0px !important;
}
.navbar .nav-item:hover>.nav-link:not(.disabled), .navbar .nav-item .nav-link.show:not(.disabled) {
    color: #fff;
}
.service-part {
    background: #fff;
    padding: 20px;
    border-radius: 20px;
}
.service-price {
    font-size: 16px !important;
    color: #0077C7 !important;
}
.bg-info {
    --ar-bg-opacity: 1;
    background-color: rgba(0,119,199, var(--ar-bg-opacity)) !important;
}
.offcanvas-body ul li {
    margin: 5px !important;
}
.footer-part .nav-link:hover, .footer-part .nav-link:focus {
    color: #0077C7 !important;
}
.white {
    color:#fff;
}
.navbar-toggler-icon, .navbar-toggler-icon::before, .navbar-toggler-icon::after {
    background-color: #fff;
}
.contact-part .nav-link:hover, .contact-part .nav-link:focus {
    color: #0077C7 !important;
}



.program-features-swiper {
    overflow: hidden;
}

.program-features-swiper .excerpt-text {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.program-features-swiper .excerpt-text.expanded {
    display: block;
    -webkit-line-clamp: unset;
    overflow: visible;
}

.program-features-swiper .swiper-slide {
    height: auto !important;
}

.program-features-swiper .swiper-wrapper {
    align-items: flex-start;
}

.program-features-swiper .feature-part {
    width: 100%;
}

.feature-part {
    display: block;
}

.card-hover {
    transition: 0.3s;
}

.card-hover:hover {
    transform: translateY(-5px);
}
.boom-part {
    height: 250px;
}
.boom-part img {
    position: absolute;
    right: 0px;
    top: 205px;
}
.boom-part del {
    z-index: 99;
    position: relative;
    top: 80px;
    font-size: 24px;
    font-weight: bold;
    color: red;
}

.boom-part h6 {
        position: relative;
    top: 80px;
    z-index: 99;
    color: #0077C7;
    font-weight: bold;
    font-size: 22px;
    border-radius: 20px;
    width: 230px;
    margin: 0 auto;
    line-height: 22px;
}
.boom-cards .card:hover {
    background-color: #0077C7;
}

.js-plan-card.is-selected .card {
    background-color: #0077C7;
}

.js-plan-card.is-selected .card h3,  .js-plan-card.is-selected .card span {
    color: #fff;
}

.js-plan-card.is-selected .card .btn-primary {
    background-color: #fff;
    color: #000;
}


.boom-cards .card:hover span, .boom-cards .card:hover p, .boom-cards .card:hover h3 {
    color: #fff;

}
.boom-cards .card:hover button {
    background-color: #fff;
    color:  #000;
}
.info-title {
    font-size: 16px;
}
@media screen and (max-width: 991px) {
    .boom-part del {
        position: relative;
        top: 45px;
        font-size: 18px;
    }

    .boom-part h6 {
                top: 42px;
        font-size: 15px;
        width: 120px;
        line-height: 15px;
    }
    .boom-part {
        height: 140px;
    }
    .mt-cust {
        top: 20px;
        position: relative;
    }
    
    .boom-part img {
        position: absolute;
        right: 0px;
        top: 175px;
    }
}
@media only screen and (min-width: 992px) and (max-width: 1099px)  {
    .boom-part img {
        top: 270px;
    }
    .boom-part del {
        position: relative;
        top: 45px;
        font-size: 18px;
    }

    .boom-part h6 {
        top: 45px;
        font-size: 16px;
    }
}
@media only screen and (min-width: 992px) and (max-width: 1199px)  {

    .boom-part del {
        position: relative;
        top: 45px;
        font-size: 18px;
    }

    .boom-part h6 {
        top: 45px;
        font-size: 16px;
    }
}
.mt-10-woth {
    width: 230px;
    margin: 10px auto;
}

@media screen and (max-width: 449px) {
    .boom-part del {
        position: relative;
        top: 50px;
        font-size: 18px;
    }
    
    .boom-part h6 {
        top: 50px;
        font-size: 15px;
        width: 120px;
        line-height: 15px;
    }
    
    .mt-10-woth {
        width: 250px;
        margin: 10px auto;
    }
    #plan-options-list .text-start, #plan-options-list .text-end {
        font-size: 14px;
    } 
}